Page MenuHomePhabricator

AjaxLogin failing tests due to apihelp-ajaxlogin-description message missing
Closed, ResolvedPublic

Description

See https://integration.wikimedia.org/ci/job/mwext-testextension-php55/57/console:

02:29:28 1) ApiDocumentationTest::testDocumentationExists with data set "Module ajaxlogin with MiserMode=false, AllowCategorizedRecentChanges=false" ('ajaxlogin', array(false, false))
02:29:28 Module description message apihelp-ajaxlogin-description exists
02:29:28 Failed asserting that false is true.
02:29:28 
02:29:28 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
02:29:28 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
02:29:28 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:137

Details

Related Gerrit Patches:
mediawiki/extensions/AjaxLogin : masterFix AjaxLogin failing tests due to some messages missing

Event Timeline

Legoktm created this task.Feb 10 2016, 2:31 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 10 2016, 2:31 AM
SamanthaNguyen moved this task from Backlog to Bugs on the AjaxLogin board.Aug 6 2016, 8:18 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 6 2016, 8:18 AM
nikitavbv claimed this task.Jan 8 2017, 9:55 PM

Change 331223 had a related patch set uploaded (by Phantom42):
Fix AjaxLogin failing tests due to some messages missing

https://gerrit.wikimedia.org/r/331223

Umherirrender closed this task as Resolved.Jan 28 2017, 6:41 PM

Change 331223 merged by jenkins-bot:
Fix AjaxLogin failing tests due to some messages missing

https://gerrit.wikimedia.org/r/331223